aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rw-r--r--ci/_docker_script.sh45
-rw-r--r--ci/build.sh11
2 files changed, 44 insertions, 12 deletions
diff --git a/ci/_docker_script.sh b/ci/_docker_script.sh
index ba5065d..82f5232 100644
--- a/ci/_docker_script.sh
+++ b/ci/_docker_script.sh
@@ -1,10 +1,39 @@
#!/bin/bash
-
-cd /mnt/curl/
+dpkg --add-architecture i386
+apt update
+apt install p7zip-full git ca-certificates build-essential g++-multilib -y --no-install-recommends
+# lib32stdc++-10-dev lib32z1-dev libc6-dev-i386 linux-libc-dev:i386
+cd /mnt/curl/ || exit
git config --global --add safe.directory "*"
-rm -rf ./sm-1.11
-git clone https://github.com/alliedmodders/sourcemod --branch 1.11-dev sm-1.11 --recursive
-rm -rf ./mm-1.11
-git clone https://github.com/alliedmodders/metamod-source --branch 1.11-dev mm-1.11 --recursive
-make clean
-make
+rm -rf build
+mkdir build
+mkdir build/extensions -p
+mkdir build/scripting -p
+mkdir build/plugins -p
+
+pushd build || exit
+ rm -rf ./sm-1.11
+ git clone https://github.com/alliedmodders/sourcemod --branch 1.11-dev sm-1.11 --recursive
+ rm -rf ./mm-1.11
+ git clone https://github.com/alliedmodders/metamod-source --branch 1.11-dev mm-1.11 --recursive
+popd || exit
+
+pushd extension || exit
+ make clean
+ make
+ mv Release/curl.ext.so ../build/extensions/ -v
+ rm -rf Release
+popd || exit
+
+cp pawn/* build/ -Rfv
+
+# cleanup
+
+pushd build || exit
+ rm -rf ./sm-1.11
+ rm -rf ./mm-1.11
+
+ 7za a -r sm-neocurl.zip scripting/ plugins/ extensions/
+popd || exit
+
+chmod 777 ./* -Rfv
diff --git a/ci/build.sh b/ci/build.sh
index 1de802e..b6e6801 100644
--- a/ci/build.sh
+++ b/ci/build.sh
@@ -1,20 +1,23 @@
-sdfasd#!/bin/bash
+#!/bin/bash
# we do this so that we can be agnostic about where we're invoked from
# meaning you can exec this script anywhere and it should work the same
thisiswhereiam=${BASH_SOURCE[0]}
# this should be /whatever/directory/structure/Open-Fortress-Source
script_folder=$( cd -- "$( dirname -- "${thisiswhereiam}" )" &> /dev/null && pwd )
+
# this should be /whatever/directory/structure/[sdkmod-source]/build
build_dir="build"
+img="registry.gitlab.steamos.cloud/steamrt/sniper/sdk"
+img="debian:11-slim"
echo ${thisiswhereiam}
echo ${script_folder}
docker run -it \
--mount type=bind,source=${script_folder}/../,target=/mnt/curl \
-registry.gitlab.steamos.cloud/steamrt/sniper/sdk \
-bash
-#/mnt/curl/ci/_docker_script.sh
+--user "$(id -u):$(id -g)" \
+${img} \
+bash /mnt/curl/ci/_docker_script.sh